package com.dsk.common.dtos;

import cn.hutool.core.util.ObjectUtil;

import java.util.List;

/**
 * @ClassName OpRegionalEconomicRegionalCompareDto
 * @Description 地区经济-对比
 * @Author Dgm
 * @Date 2023/5/23 14:05
 * @Version
 */
public class OpRegionalEconomicRegionalCompareDto {

    /**
     * 年份
     */
    private Integer year;

    private List<OpRegionalEconomicDataStatisticsRegionalDto> compareList;


    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public List<OpRegionalEconomicDataStatisticsRegionalDto> getCompareList() {
        if (ObjectUtil.isNotEmpty(compareList)) {
            for (OpRegionalEconomicDataStatisticsRegionalDto dataStatisticsRegionalDto : compareList) {
                dataStatisticsRegionalDto.setYear(year);
            }
        }
        return compareList;
    }

    public void setCompareList(List<OpRegionalEconomicDataStatisticsRegionalDto> compareList) {
        this.compareList = compareList;
    }

    @Override
    public String toString() {
        return "OpRegionalEconomicRegionalCompareDto{" +
                "year=" + year +
                ", compareList=" + compareList +
                '}';
    }
}
